Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 01 Sep 2014, 18:44
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
pUPnGO 2012
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 18 of 27 [398 Posts]   Goto page: Previous 1, 2, 3, ..., 16, 17, 18, 19, 20, ..., 25, 26, 27 Next
Author Message
starhawk

Joined: 22 Nov 2010
Posts: 2839
Location: Everybody knows this is nowhere...

PostPosted: Tue 19 Mar 2013, 22:50    Post subject:  

Driver madwifi-hal-0.10.5.6-r4031-k2.6.25.16.pet works with Belkin F5D7010 ver.8 CardBus card, from thread here --> http://murga-linux.com/puppy/viewtopic.php?t=34159

Unfortunately, this version of pUPnGO 2012+Extras doesn't have the SNS pet, and wireless.sh doesn't work right for me. I'll see if I can hunt down the SNS-Retro dotpet.

EDIT: Found SNS-Retro. Also installed the rtl8192cu driver from the thread in the link above -- last page (page 17), 1st post on that page.

Works with my Edimax USB Wireless-N card quite nicely!

Next step is to download a better browser. No offense meant, goingnuts, but Dillo is a rather ugly choice...

_________________
Loving X-Slacko 2.1!
Custom Build: HP MOCA-AR + Core2Duo T7200 + 4gb RAM + 256gb SSD
...just needs a pretty case Wink
Back to top
View user's profile Send private message 
starhawk

Joined: 22 Nov 2010
Posts: 2839
Location: Everybody knows this is nowhere...

PostPosted: Wed 20 Mar 2013, 00:00    Post subject:  

Now accepting recommendations for a better-than-Dillo GTK1 browser Wink

Even QtWeb requires GTK+. goingnuts, would it be possible at all for me to convince you to give me a pUPnGO-compatible dotpet of GTK+?

Tried --
QtWeb - FAILED because no GTK+.
Amaya - FAILED because libpng too new and glibc too old.
hv3 - FAILED - "/usr/bin/hv3: exec: line 2: wish: not found"

Any more suggestions...?

_________________
Loving X-Slacko 2.1!
Custom Build: HP MOCA-AR + Core2Duo T7200 + 4gb RAM + 256gb SSD
...just needs a pretty case Wink
Back to top
View user's profile Send private message 
Ibidem

Joined: 25 May 2010
Posts: 484
Location: State of Jefferson

PostPosted: Wed 20 Mar 2013, 01:45    Post subject:  

starhawk wrote:
Now accepting recommendations for a better-than-Dillo GTK1 browser Wink

Even QtWeb requires GTK+. goingnuts, would it be possible at all for me to convince you to give me a pUPnGO-compatible dotpet of GTK+?

Tried --
QtWeb - FAILED because no GTK+.
Amaya - FAILED because libpng too new and glibc too old.
hv3 - FAILED - "/usr/bin/hv3: exec: line 2: wish: not found"

Any more suggestions...?

I have a hard time believing that a fully static Qt application like QtWeb needs GTK+. What gives this impression?

hv3: Fetch the tcl/tk pet from here:
http://www.murga-linux.com/puppy/viewtopic.php?p=599291#599291
That has wish.

Also, dillo3 is better (ssl, css) than dillo1 (if you can find a suitable binary), and links-hacked or links2 will give you a plain but graphical browser, capable of handling ssl
Back to top
View user's profile Send private message 
technosaurus


Joined: 18 May 2008
Posts: 4348

PostPosted: Wed 20 Mar 2013, 03:59    Post subject:  

the combined version of hv3 should work fine and has at least some javascript support via libsee

I would have to recommend trying to build the framebuffer version of netsurf.
(the framebuffer can use xcb as a backend which is even smaller than tinyX11 and multithread capable)
recent development versions will build with javascript support via spidermonkey ... here is a link to the source of the last C-only version:
http://ftp.mozilla.org/pub/mozilla.org/js/js-1.8.0-rc1.tar.gz
if you don't need javascript, netsurf-2.9 is still pretty good and also supports an xcb framebuffer (the bonus is that it can also use the linux framebuffer backend so you can use it outside of X also)

_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send private message 
starhawk

Joined: 22 Nov 2010
Posts: 2839
Location: Everybody knows this is nowhere...

PostPosted: Wed 20 Mar 2013, 11:25    Post subject:  

@Ibidem -- QtWeb demands libgobject-2.0. Google tells me that such is part of GTK+. My guess is/was that if it needed part of GTK+, it would likely need (or at least expect) all of GTK+.

@technosaurus -- make does some flamboyantly horrible things in my presence. I rather think I should stay well away from compiling -- particularly since pUPnGO still technically doesn't have a devx! (I'd have to use the P412 devx IIRC, and, considering that pUPnGO is so minimal as to have significant structural differences with mainline Puppies, I'm not sure how well that would go...)

_________________
Loving X-Slacko 2.1!
Custom Build: HP MOCA-AR + Core2Duo T7200 + 4gb RAM + 256gb SSD
...just needs a pretty case Wink
Back to top
View user's profile Send private message 
goingnuts

Joined: 07 Dec 2008
Posts: 780

PostPosted: Wed 20 Mar 2013, 11:49    Post subject:  

starhawk: You are indeed a persistent person in terms of getting pupngo at work - thanks!
ath5k - maybe I remember wrong but I think I got it working in the past in P410 or P411 but it would not work in P412. As pupngo is quite P412-centric it might be worth looking at drivers from the other two?
Edit: No P410 and P412 ath5k.ko are identical so I did remember wrong...
Sound - nice reference! xhippo uses mpg123 or minimp3 - have you tried playing with those from command line? X hippo is quite extensible. Another CD-player is grib - "pretty" and you get a CD ripper on top...
Have you tried if pmvol works?

Quote:
goingnuts, would it be possible at all for me to convince you to give me a pUPnGO-compatible dotpet of GTK+?
Probably not Cool

For browsers the links-2.7 is plain but functional as Ibidem points out - I have a static build here
Or you might try out some of the (semi-)static builds found here
I think technosaurus posted a static version of Opera somewhere in the original pupngo thread...
For me dillo is "best choice" - and it has some potential for expansion/upgrade - if only one had the time Sad

And thanks for the very useful links to sound/wireless solutions!
Opps: Forgot to address the aumix - attached xmixer static build might suite your hardware better...?
xmixer.gz
Description  fake .gz
gz

 Download 
Filename  xmixer.gz 
Filesize  86.59 KB 
Downloaded  80 Time(s) 

Last edited by goingnuts on Wed 20 Mar 2013, 12:31; edited 2 times in total
Back to top
View user's profile Send private message Visit poster's website 
starhawk

Joined: 22 Nov 2010
Posts: 2839
Location: Everybody knows this is nowhere...

PostPosted: Wed 20 Mar 2013, 12:29    Post subject:  

Seamonkey is probably the best choice, after all -- I want something that can access most webmail clients (QtWeb often has trouble with that) among other things.

Er... is there ANY chance of running Flash on this computer? Even the Flash7 version 'hacked' to lie about its age (lol) and claim that it's Flash 9?

Maybe there's a way to make it lie about being eg Flash 11?

_________________
Loving X-Slacko 2.1!
Custom Build: HP MOCA-AR + Core2Duo T7200 + 4gb RAM + 256gb SSD
...just needs a pretty case Wink
Back to top
View user's profile Send private message 
starhawk

Joined: 22 Nov 2010
Posts: 2839
Location: Everybody knows this is nowhere...

PostPosted: Wed 20 Mar 2013, 12:31    Post subject:  

To address the other points --

I'll give pmvol, grip, and links-2.7 their fair chance Razz

I don't see an attachment (yet?) for xmixer. EDIT: nvm, there it is.

_________________
Loving X-Slacko 2.1!
Custom Build: HP MOCA-AR + Core2Duo T7200 + 4gb RAM + 256gb SSD
...just needs a pretty case Wink
Back to top
View user's profile Send private message 
goingnuts

Joined: 07 Dec 2008
Posts: 780

PostPosted: Wed 20 Mar 2013, 12:33    Post subject:  

Don´t know about flash but for web mail I prefer to use sylpheed - swift and lean - and kind of made for that stuff anyway.
Back to top
View user's profile Send private message Visit poster's website 
starhawk

Joined: 22 Nov 2010
Posts: 2839
Location: Everybody knows this is nowhere...

PostPosted: Wed 20 Mar 2013, 12:55    Post subject:  

Sorry, forgot to post system specs -- this is The Infernal Dell again...

Dell CPi D300XT
300MHz Pentium II CPU
128mb RAM
NeoMagic graphics
Dell Optical-Drive Bay Module "hacked" to use a Combo Drive instead of a 24x CD-ROM drive (a vast improvement over stock)
4gb (but fast!) CompactFlash "hard drive" (CF card in IDE adapter)
IIRC there's a swap partition but I've long forgotten what size.
EDIT: duh... pmconky told me, swap is 383mb /EDIT

So... Flash or no Flash, that is the question Laughing

EDIT2: stupid question -- now that I've stripped the *.bz2 off the end of the Seamonkey TAR files, how should I unTAR them? IIRC there are a lot of CLI options for that... what do I use?

_________________
Loving X-Slacko 2.1!
Custom Build: HP MOCA-AR + Core2Duo T7200 + 4gb RAM + 256gb SSD
...just needs a pretty case Wink
Back to top
View user's profile Send private message 
goingnuts

Joined: 07 Dec 2008
Posts: 780

PostPosted: Wed 20 Mar 2013, 13:05    Post subject:  

Do not know if its wise to remove the bz2...!
If inside pupngo play the guitar Very Happy
Normal commandline(tar.bz2): "tar -xjf XXX.tar.bz2"
if tar.gz: "tar -xzf XXX.tar.gz"
but there might be variants...
Back to top
View user's profile Send private message Visit poster's website 
starhawk

Joined: 22 Nov 2010
Posts: 2839
Location: Everybody knows this is nowhere...

PostPosted: Wed 20 Mar 2013, 13:27    Post subject:  

bzip2 = "invalid magic"

Redownloading.

EDIT: wonder where that tag came from...?

Also, duh on "invalid magic" as I *did* bunzip2 it earlier... a simple rename ain't gonna fix that!

_________________
Loving X-Slacko 2.1!
Custom Build: HP MOCA-AR + Core2Duo T7200 + 4gb RAM + 256gb SSD
...just needs a pretty case Wink
Back to top
View user's profile Send private message 
starhawk

Joined: 22 Nov 2010
Posts: 2839
Location: Everybody knows this is nowhere...

PostPosted: Wed 20 Mar 2013, 13:48    Post subject:  

OK, got Seamonkey 2 downloaded and un-TARBZ2'd. So where do I put the 'seamonkey' directory (it's in /mnt/home right now) and how do I 'install' it? Symlink something to something, I'm sure, but what?
_________________
Loving X-Slacko 2.1!
Custom Build: HP MOCA-AR + Core2Duo T7200 + 4gb RAM + 256gb SSD
...just needs a pretty case Wink
Back to top
View user's profile Send private message 
Keef


Joined: 20 Dec 2007
Posts: 622
Location: Staffordshire

PostPosted: Wed 20 Mar 2013, 14:00    Post subject:  

starhawk

You can just copy libgobject to get QTWeb working. Doesn't need the rest of gtk+.
Posting from it on pupngo right now.
Back to top
View user's profile Send private message 
starhawk

Joined: 22 Nov 2010
Posts: 2839
Location: Everybody knows this is nowhere...

PostPosted: Wed 20 Mar 2013, 14:40    Post subject:  

oh Embarassed can you post it, please, so I don't have to go a-huntin'?
_________________
Loving X-Slacko 2.1!
Custom Build: HP MOCA-AR + Core2Duo T7200 + 4gb RAM + 256gb SSD
...just needs a pretty case Wink
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 18 of 27 [398 Posts]   Goto page: Previous 1, 2, 3, ..., 16, 17, 18, 19, 20, ..., 25, 26, 27 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0848s ][ Queries: 13 (0.0094s) ][ GZIP on ]